skip to navigation
skip to content

Not Logged In

gevent_zeromq 0.2.4

gevent compatibility layer for pyzmq

Latest Version: 0.2.5

This library wraps pyzmq to make it compatible with gevent. ØMQ socket operations that would normally block the current thread will only block the current greenlet instead.

Requirements

  • pyzmq==2.2.0
  • gevent (compatible with 1.0 pre-releases as well)

Usage

Instead of importing zmq directly, do so in the following manner:

from gevent_zeromq import zmq

Any calls that would have blocked the current thread will now only block the current green thread.

About

This compatibility is accomplished by ensuring the nonblocking flag is set before any blocking operation and the ØMQ file descriptor is polled internally to trigger needed events.

Will build with cython if available, decreasing overhead.

License

See LICENSE (New BSD)

 
File Type Py Version Uploaded on Size
gevent_zeromq-0.2.4.tar.gz (md5) Source 2012-07-14 34KB
  • Downloads (All Versions):
  • 64 downloads in the last day
  • 342 downloads in the last week
  • 1713 downloads in the last month